Subject: Re: [PATCH 3/3] Return CURL error message when object transfer fails

From: Nick Hengeveld <[email-masked]>
Date: Mon, 26 Sep 2005 17:12:41 -0700

On Mon, Sep 26, 2005 at 02:22:56PM -0700, Junio C Hamano wrote:

> Sounds like a good idea.  Also if you happen to know if this
> option is not available in older versions of the library, it
> might not hurt to guard it with "#if LIBCURL_VERSION_NUM" like
> we do with other options.

I don't see any indication that CURLOPT_ERRORBUFFER is a new feature.
The curl_easy_strerror() function is new as of 7.12.0 which is why
I elected to use the CURLOPT_ERRORBUFFER option instead.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.